	//インクルードファイル
	#include 'lib/lwp.js';
	#include 'lib/file.js';
	#include 'lib/contents.js';
    
    //取得したYahooAPIKEYを入れる
    //var YahooAPIKEY = 'YahooDemo';
	var YahooAPIKEY = '';
	
	//ルビ追加オプション
	//ruby_option = 'grade=1';
	ruby_option = rubyDialog();
    alert(ruby_option);
	
	//アイテムの取得
	var selection = app.activeDocument.selection;
	
	
	var contents = new Contents();
    contents.get(selection[0]);
				
    //ルビを解析してルビを振る
        contents.SetRuby(
					selection[0],
					getRubyXML(selection[0].contents)
		);
    
    
	
	
    ////////////////////////////////////////////////////////////////////////////////
    //ふりがなXMLの取得
    function getRubyXML(text){
    if(text & YahooAPIKEY){
                var lwp = new Lwp('http://jlp.yahooapis.jp/FuriganaService/V1/furigana','UTF-8');
                
            	Lwp.setPostData('appid='+YahooAPIKEY);
            	Lwp.setPostData('sentence='+text);
            	if(ruby_option !== '')Lwp.setPostData(ruby_option);
            	var res = lwp.post();
            	res = res.replace (/\<ResultSet.+\>/gm, '');
            	res = res.replace(/\<\/ResultSet\>/gm,'');
            	return res;
    }else{
    if(!text)alert('テキストを取得できませんでした。');
    if(!YahooAPIKEY)alert('http://developer.yahoo.co.jp/jlp/FuriganaService/V1/furigana.htmlよりAPIKEYを取得してください。');
    return '';
    }
    }
    
    ////////////////////////////////////////////////////////////////////////////////
    //ルビ追加オプションダイアログ
    function rubyDialog() {
    　var dlg = app.dialogs.add({name:"ルビ付加オプション"});
    　dlc = dlg.dialogColumns.add();
    　with (dlc.dialogRows.add()){
    　　staticTexts.add({
    　　　staticLabel:"▼学年を指定してください"
    　　});
    　}
    　with (dlc.dialogRows.add()){
    　　var ddl = dropdowns.add({
    　　　stringList:[
    　　　"小学1年生向け。すべての漢字にふりがなを付けます。", //1
    　　　"小学2年生向け。1年生で習う漢字にはふりがなを付けません。", //2
    　　　"小学3年生向け。1〜2年生で習う漢字にはふりがを付けません。",    //3
    　　　"小学4年生向け。1〜3年生で習う漢字にはふりがなを付けません。",   //4
    　　　"小学5年生向け。1〜4年生で習う漢字にはふりがなを付けません。",   //5
    　　　"小学6年生向け。1〜5年生で習う漢字にはふりがなを付けません。",   //6
    　　　"中学生以上向け。小学校で習う漢字にはふりがなを付けません。", //7
    　　　"一般向け。常用漢字にはふりがなを付けません。" //8
    　　　]
    　　});
    　}
    
    　if (dlg.show()) {
    　　rubyoption =  "grade=" + (ddl.selectedIndex + 1).toString();
    　} else {
    　　rubyoption = "";
    　}
    　dlg.destroy();
    　return rubyoption;
    }
